CLOG_treesetup(4)

NAME
CLOG_treesetup - locally determine parent and children in binary tree

SYNOPSIS
void CLOG_treesetup( self, numprocs, myparent, mylchild, myrchild)
int self, numprocs, *myparent, *mylchild, *myrchild;
Input parameters
self
    - calling process's id
np  - total number of processes in tree Output parameters
parent
    - parent in binary tree (or -1 if root)
lchild
    - left child in binary tree (or -1 if none)
rchild
    - right child in binary tree (or -1 if none)

LOCATION
clog_merge.c